WorldViz User Forum

WorldViz User Forum (https://forum.worldviz.com/index.php)
-   Vizard (https://forum.worldviz.com/forumdisplay.php?f=17)
-   -   Vizard SDK and VS 2012? (https://forum.worldviz.com/showthread.php?t=5015)

shivanangel 04-14-2014 12:10 PM

Vizard SDK and VS 2012?
 
I read your documentation and I noticed it said VS 2008 when creating extensions.

I followed the guide and tried creating the basic extension dle, however it won't load at all in Vizard: ** ERROR: Failed to load plug-in: 'SDK_Tutorial.dle'
But it does build just fine.

I'm using VS 2012 ( only thing I have ).

I then tried to load your example project and build it, however I get a ton (188) linking errors.
I checked the settings and compared them with what is in your help file, and nothing seems to get around the linking issues. Include and Lib directory seem to be fine, just about all the VS 2008 project settings came out ok.

It is definitely having issues linking to the OSG side of things.

Any thoughts?

shivanangel 04-14-2014 12:22 PM

Nevermind! Worked on it some more and compiled as a 64-bit in VS 2012 and my plugin it loads just fine now.

NoahDietz 05-04-2014 06:44 PM

I'm working in VS 2013, and I can't seem to get it to work...what directories did you include and where? I have in my project property pages:
C/C++ --> General-->Additional Include directories: C:\...\Vizard5\bin\Include ; c:\...\Vizard5\sdk\python
and then
Linker --> General --> Additional Library Directories: C:\...\Vizard5\bin\lib

#include "VizExtension.h" wont work

Jeff 05-05-2014 03:04 AM

All plug-ins must be built using the Visual Studio 2008 compiler. There's another related thread here.

jizh1000 07-08-2015 12:43 PM

Hi,

Should I use 32bit compiler or 64bit compiler for vs2008?

Thanks.


All times are GMT -7. The time now is 03:03 PM.

Powered by vBulletin® Version 3.8.7
Copyright ©2000 - 2021, vBulletin Solutions, Inc.
Copyright 2002-2018 WorldViz LLC